{% extends 'base.html' %}

{% block content %}

<section class="section">
    <h5 class="section-title">Обновить конфиг</h5>
    <form id="update-config">
        <div class="mb-3">
          <label for="title" class="form-label">Название</label>
          <input type="text" name="title" class="form-control" id="title" value="{{ config['title'] }}" required>
        </div>
        <div class="mb-3">
          <label for="descr" class="form-label">Описание</label>
          <textarea class="form-control" name="descr" id="descr" rows="3" required>{{ config['descr'] }}</textarea>
        </div>
        <div class="mb-3">
          <label for="tool" class="form-label">Инструмент</label>
          <input type="text" name="tool" class="form-control" id="tool" value="{{ config['tool'] }}" required>
        </div>
        <div class="mb-3">
          <label for="pin" class="form-label">PIN-код</label>
          <input type="number" class="form-control" name="pin" id="pin" value="{{ config['pin'] }}" disabled>
        </div>
        <button type="submit" class="btn btn-primary">Обновить</button><br><br>
        <a href="#" onclick="window.close();">Назад</a>
        <input type="hidden" name="id" value="{{ config['id'] }}">
        <div class="form-error"></div>
        <div class="form-success"></div>
      </form>
</section>

{% endblock %}